# Python Client
Programmatically 💻 interact with Tamr Unify using Python 🐍

---

*Contents:*
**[Docs](#docs)** |
**[Features](#features)** |
**[Development Status](#development-status)** |
**[Install](#install)** |
**[Contributing](#contributing)** |
**[Code of Conduct](#code-of-conduct)** |
**[Change Log](#change-log)** |
**[License](#license)** |
**[Maintainers](#maintainers)**

---

## Docs

<!--- TODO link to readthedocs.com -->

## Features
<!--- TODO link each feature to docs -->
- 🐍 Python objects/methods/functions instead of raw HTTP requests
- 🤖 Automate operational workflows
  - Continuous Mastering
  - Continuous Categorization
- 🚀 Kick-off synchronous/asynchronous operations
  - Refresh datasets in your pipeline
  - Train Tamr Unify's machine learning models
  - Generate predictions from trained models
- 🔒 Authenticate with Tamr Unify
- 📥 Fetch resources (e.g projects) by resource ID (e.g. `"1"`)
- 📝 Read resource metadata
- 🔁 Iterate over collections
- ⚠️ Advanced
  - Logging for API requests/responses
  - Call custom/arbitrary API endpoints

## Development Status

Beta

## Install

`pip install tamr_unify_client`

## Contributing

For bug fixes, documentation changes, and small features:  
1. Fork it ( https://github.com/[my-GitHub-username]/unify-api-clients/fork )  
2. Create your feature branch (`git checkout -b my-new-feature`)  
3. Commit your changes (`git commit -am 'Add some feature'`)  
4. Push to the branch (`git push origin my-new-feature`)  
5. Create a new Pull Request  

For larger new features: Do everything as above, but first also make contact with the project maintainers to be sure your change fits with the project direction and you won't be wasting effort going in the wrong direction

## [Code of Conduct](CODE_OF_CONDUCT.md)

## [Change Log](CHANGELOG.md)

## [License](LICENSE)

## Maintainers

- [Pedro Cattori](https://github.com/pcattori)
